GET /serviceenginegroup/{uuid}/placement/summary/

GET /serviceenginegroup/{uuid}/placement/summary/

/serviceenginegroup/{uuid}/placement/summary/

Request
URI
GET
https://{api_host}/api/serviceenginegroup/{uuid}/placement/summary
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SeGroupPlacementSummary of type(s) application/json
{
    "active_standby": false,
    "algo": "string",
    "buffer_se": 0,
    "consumer_stats": {
        "num_asymmetric_shared_vip": 0,
        "num_attach_ip_incomplete": 0,
        "num_disabled": 0,
        "num_enable_rhi": 0,
        "num_enable_rhi_snat": 0,
        "num_fully_placed": 0,
        "num_idle": 0,
        "num_ign_pool_net_reach": 0,
        "num_not_placed": 0,
        "num_partially_placed": 0,
        "num_pending_placement": 0,
        "num_placement_ineligible": 0,
        "num_scaleout_ecmp": 0,
        "num_shared_vip": 0,
        "num_sni_child": 0,
        "num_sni_parent": 0,
        "num_total": 0,
        "num_traffic_disabled": 0,
        "num_wildcard": 0,
        "num_wildcard_fully_placed_all_nws": 0,
        "num_wildcard_fully_placed_some_nws": 0
    },
    "image_ready": false,
    "instance_flavor": "string",
    "max_se": 0,
    "max_vs_per_se": 0,
    "resource_stats": {
        "num_bgp_peers_down": 0,
        "num_capacity_reached": 0,
        "num_create_pending": 0,
        "num_disabled": 0,
        "num_disconnected": 0,
        "num_gateway_down": 0,
        "num_offline": 0,
        "num_placement_eligible": 0,
        "num_reboot_pending": 0,
        "num_total": 0,
        "num_vnic_capacity_reached": 0
    },
    "upgrade_in_progress": false,
    "uuid": "string",
    "vs_host_redundancy": false
}
boolean
active_standby
Optional

Active standby. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
algo
Optional

Placement algorithm. Enum options - PLACEMENT_ALGO_PACKED, PLACEMENT_ALGO_DISTRIBUTED. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
buffer_se
Optional

Buffer SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
consumer_stats
Optional

consumer_stats

boolean
image_ready
Optional

Image ready. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
instance_flavor
Optional

Instance flavor. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_se
Optional

Max SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_vs_per_se
Optional

Max VS per SE. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
resource_stats
Optional

resource_stats

boolean
upgrade_in_progress
Optional

Upgrade in progress. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

SE group UUID. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
vs_host_redundancy
Optional

VS host redundancy. Field introduced in 21.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceenginegroup/{uuid}/placement/summary